<script setup>
import { BOverlay, BSpinner, BTable } from 'bootstrap-vue-next';
</script>

<template>
  <BTable
    v-bind="$props"
    responsive="md"
  >
    <template #table-busy>
      <div>&nbsp;</div>
      <BOverlay show>
        <template #overlay>
          <div class="d-flex align-items-center gap-2">
            <BSpinner />
          </div>
        </template>
      </BOverlay>
    </template>
    <template
      v-for="(_, name) in $slots"
      :key="name"
      #[name]="slotData"
    >
      <slot
        :name="name"
        v-bind="slotData"
      />
    </template>
  </BTable>
</template>
